Last modified: 2012-08-04 20:49:02 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21576 - Installation gives misleading error message on empty wikiuser password
Installation gives misleading error message on empty wikiuser password
Status: RESOLVED INVALID
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
1.15.x
PC Windows XP
: Normal minor with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 20628
Blocks: postgres
  Show dependency treegraph
 
Reported: 2009-11-20 01:26 UTC by Antony
Modified: 2012-08-04 20:49 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Antony 2009-11-20 01:26:38 UTC
Environment:
-- Windows XP
-- Apache 2.2
-- PHP 5.3.1
-- PostgreSQL 8.4.1

Use-case:
(1) Running the mediawiki/config/index.php setup script.
(2) Leave the password for the new "wikiuser" account empty.
(3) Enter superuser info.
(4) Run script.

What happens:
(A) First part of the script goes fine because that's done with the superuser account.
(B) Creates "wikiuser" account with "" password fine (checked with PostgreSQL admin tool).
(C) But when tries to connect to DB with this account it fails.
(D) But the script keeps running!
(E) Gets confused at version check and breaks.

A couple of notes...

(*) There seems to have been a bug with PHP < 5.3 and MediaWiki 14.x.y related to the second PostgreSQL version check. Unfortunately this scenario looks exactly the same as that one which can easily mean you spend an hour or so following the wrong thread (I'm speaking from experience here).

(*) The instructions on the setup page are a little misleading. It certainly reads as though you EITHER enter the super-user or a wikiuser account. This is why I left the password field empty (I don't think that "" passwords are a great idea). 

Suggested fix...

(1) Make it clear on the installation screen that a password for wikiuser is required (I'd suggest some text but I can't get back to that screen now the install is completed).

(2) Do some validation to ensure that that is the case.

(3) If the connection to the DB fails then break the script there with a helpful error message.
Comment 1 Chad H. 2010-10-17 20:06:40 UTC
Pretty sure this is fixed in the new installer, need to double check.
Comment 2 Chad H. 2010-10-26 21:39:30 UTC
Not an issue in the new installer.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links